M-Droid doesn't start

M-Droid Version 5.4 (54) needs Android 4.1 or newer. I tried it on a Samsung Galaxy J1 100h with Android 4.4.4. I could install the APK, but when starting, I get a splash screen with “MDroid” and then a small message says “M-Droid halted (original: M-Droid angehalten)”.

Is the needed Android version higher?

Look at https://github.com/SkyzohKey/M-Droid/issues/21

It’s the same. Thx.

Angehalten; that’s my stage name…